-- Contains localized data for the core file to use

FM_SpellIDs = { };
FM_SpellIDs.grounding = 8177;
FM_SpellIDs.earthbind = 2484;
FM_SpellIDs.stoneclaw = 58582;
FM_SpellIDs.firenova = 61657;
FM_SpellIDs.hex = 51514;
FM_SpellIDs.earthshock = 49231;
FM_SpellIDs.frostshock = 49236;
FM_SpellIDs.windshock = 57994;
FM_SpellIDs.flameshock = 49233;
FM_SpellIDs.wolves = 51533;
FM_SpellIDs.shammyrage = 30823;
FM_SpellIDs.stormstrike = 17364;
FM_SpellIDs.lavalash = 60103;
FM_SpellIDs.watershield = 57960;
FM_SpellIDs.lightningshield = 49281;
FM_SpellIDs.lavaburst = 60043;
FM_SpellIDs.chainlightning = 49271;
FM_SpellIDs.elemastery = 16166;
FM_SpellIDs.thunderstorm = 59159;
FM_SpellIDs.riptide = 61301;
FM_SpellIDs.earthshield = 49284;
FM_SpellIDs.natureswiftness = 16188;
FM_SpellIDs.tidalforce = 55198;
FM_SpellIDs.lightningbolt = 49238;
FM_SpellIDs.maelstrom = 51532;
FM_SpellIDs.activateprimary = 63645;
FM_SpellIDs.activatesecondary = 63644;
FM_SpellIDs.bloodfury = 33697;
FM_SpellIDs.warstomp = 20549;
FM_SpellIDs.berserking = 20554;
FM_SpellIDs.gotn = 59547;

function FullMoon_InitLocalized()
  FM_SpellNames = { };
  FM_SpellIcons = { };
  
  FM_SpellNames["Grounding Totem"],    _, FM_SpellIcons["Grounding Totem"]    = GetSpellInfo(FM_SpellIDs.grounding);
  FM_SpellNames["Earthbind Totem"],    _, FM_SpellIcons["Earthbind Totem"]    = GetSpellInfo(FM_SpellIDs.earthbind);
  FM_SpellNames["Stoneclaw Totem"],    _, FM_SpellIcons["Stoneclaw Totem"]    = GetSpellInfo(FM_SpellIDs.stoneclaw);
  FM_SpellNames["Fire Nova Totem"],    _, FM_SpellIcons["Fire Nova Totem"]    = GetSpellInfo(FM_SpellIDs.firenova);
  FM_SpellNames["Hex"],                _, FM_SpellIcons["Hex"]                = GetSpellInfo(FM_SpellIDs.hex);
  FM_SpellNames["Earth Shock"],        _, FM_SpellIcons["Earth Shock"]        = GetSpellInfo(FM_SpellIDs.earthshock);
  FM_SpellNames["Frost Shock"],        _, FM_SpellIcons["Frost Shock"]        = GetSpellInfo(FM_SpellIDs.frostshock);
  FM_SpellNames["Wind Shock"],         _, FM_SpellIcons["Wind Shock"]         = GetSpellInfo(FM_SpellIDs.windshock);
  FM_SpellNames["Flame Shock"],        _, FM_SpellIcons["Flame Shock"]        = GetSpellInfo(FM_SpellIDs.flameshock);
  FM_SpellNames["Feral Spirit"],       _, FM_SpellIcons["Feral Spirit"]       = GetSpellInfo(FM_SpellIDs.wolves);
  FM_SpellNames["Shamanistic Rage"],   _, FM_SpellIcons["Shamanistic Rage"]   = GetSpellInfo(FM_SpellIDs.shammyrage);
  FM_SpellNames["Stormstrike"],        _, FM_SpellIcons["Stormstrike"]        = GetSpellInfo(FM_SpellIDs.stormstrike);
  FM_SpellNames["Lava Lash"],          _, FM_SpellIcons["Lava Lash"]          = GetSpellInfo(FM_SpellIDs.lavalash);
  FM_SpellNames["Water Shield"],       _, FM_SpellIcons["Water Shield"]       = GetSpellInfo(FM_SpellIDs.watershield);
  FM_SpellNames["Lightning Shield"],   _, FM_SpellIcons["Lightning Shield"]   = GetSpellInfo(FM_SpellIDs.lightningshield);
  FM_SpellNames["Lava Burst"],         _, FM_SpellIcons["Lava Burst"]         = GetSpellInfo(FM_SpellIDs.lavaburst);
  FM_SpellNames["Chain Lightning"],    _, FM_SpellIcons["Chain Lightning"]    = GetSpellInfo(FM_SpellIDs.chainlightning);
  FM_SpellNames["Elemental Mastery"],  _, FM_SpellIcons["Elemental Mastery"]  = GetSpellInfo(FM_SpellIDs.elemastery);
  FM_SpellNames["Thunderstorm"],       _, FM_SpellIcons["Thunderstorm"]       = GetSpellInfo(FM_SpellIDs.thunderstorm);
  FM_SpellNames["Riptide"],            _, FM_SpellIcons["Riptide"]            = GetSpellInfo(FM_SpellIDs.riptide);
  FM_SpellNames["Earth Shield"],       _, FM_SpellIcons["Earth Shield"]       = GetSpellInfo(FM_SpellIDs.earthshield);
  FM_SpellNames["Nature's Swiftness"], _, FM_SpellIcons["Nature's Swiftness"] = GetSpellInfo(FM_SpellIDs.natureswiftness);
  FM_SpellNames["Tidal Force"],        _, FM_SpellIcons["Tidal Force"]        = GetSpellInfo(FM_SpellIDs.tidalforce);
  FM_SpellNames["Lightning Bolt"],     _, FM_SpellIcons["Lightning Bolt"]     = GetSpellInfo(FM_SpellIDs.lightningbolt);
  FM_SpellNames["Maelstrom Weapon"],   _, FM_SpellIcons["Maelstrom Weapon"]   = GetSpellInfo(FM_SpellIDs.maelstrom);
  FM_SpellNames["Activate Primary"],   _, FM_SpellIcons["Activate Primary"]   = GetSpellInfo(FM_SpellIDs.activateprimary);
  FM_SpellNames["Activate Secondary"], _, FM_SpellIcons["Activate Secondary"] = GetSpellInfo(FM_SpellIDs.activatesecondary);
  FM_SpellNames["Blood Fury"],         _, FM_SpellIcons["Blood Fury"]         = GetSpellInfo(FM_SpellIDs.bloodfury);
  FM_SpellNames["War Stomp"],          _, FM_SpellIcons["War Stomp"]          = GetSpellInfo(FM_SpellIDs.warstomp);
  FM_SpellNames["Berserking"],         _, FM_SpellIcons["Berserking"]         = GetSpellInfo(FM_SpellIDs.berserking);
  FM_SpellNames["Gift of the Naaru"],  _, FM_SpellIcons["Gift of the Naaru"]  = GetSpellInfo(FM_SpellIDs.gotn);
end